@book{Aho:72,
    author  = {Alfred V. Aho and Jeffrey D. Ullman},
    title   = {The Theory of Parsing, Translation and Compiling},
    year    = "1972",
    volume  = "1",
    publisher = {Prentice-Hall},
    address = {Englewood Cliffs, NJ}
}

@book{APA:83,
    author  = {{American Psychological Association}},
    title   = {Publications Manual},
    year    = "1983",
   publisher = {American Psychological Association},
   address = {Washington, DC}
}

@article{Chandra:81,
	author = {Ashok K. Chandra and Dexter C. Kozen and Larry J. Stockmeyer},
	year = "1981",
	title = {Alternation},
	journal = {Journal of the Association for Computing Machinery},
	volume = "28",
	number = "1",
	pages = "114--133",
	doi = "10.1145/322234.322243",
}

@inproceedings{andrew2007scalable,
  title={Scalable training of {L1}-regularized log-linear models},
  author={Andrew, Galen and Gao, Jianfeng},
  booktitle={Proceedings of the 24th International Conference on Machine Learning},
  pages={33--40},
  year={2007},
}

@book{Gusfield:97,
    author  = {Dan Gusfield},
    title   = {Algorithms on Strings, Trees and Sequences},
    year    = "1997",
    publisher = {Cambridge University Press},
    address = {Cambridge, UK}
}

@article{rasooli-tetrault-2015,
    author    = {Mohammad Sadegh Rasooli and Joel R. Tetreault},
    title     = {Yara Parser: {A} Fast and Accurate Dependency Parser},
    journal   = {Computing Research Repository},
    volume    = {arXiv:1503.06733},
    year      = {2015},
    url       = {http://arxiv.org/abs/1503.06733},
    note    = {version 2}
}

@article{Ando2005,
	Acmid = {1194905},
	Author = {Ando, Rie Kubota and Zhang, Tong},
	Issn = {1532-4435},
	Issue_Date = {12/1/2005},
	Journal = {Journal of Machine Learning Research},
	Month = dec,
	Numpages = {37},
	Pages = {1817--1853},
	Publisher = {JMLR.org},
	Title = {A Framework for Learning Predictive Structures from Multiple Tasks and Unlabeled Data},
	Volume = {6},
	Year = {2005}}

@article{meena2020,
    author    = {Adiwardana, Daniel and Luong, Thang},
    title     = {Towards a Conversational Agent that Can Chat About...Anything},
    publisher = {Google Blog},
    year      = {2020},
    url       = {https://ai.googleblog.com/2020/01/towards-conversational-agent-that-can.html},
}

@slides{maitehp2020,
    author    = {Maite Oronoz Anchordoqui},
    title     = {Itzulpen automatikoa},
    publisher = {Egela},
    year      = {2020},
}

@article{sutskever2014,
    author    = {Sutskever, Ilya and Vinyals, Oriol and Le, Quoc Viet},
    title     = {Sequence to sequence learning with neural networks},
    publisher = {Google Blog},
    year      = {2014},
    volume    = {arXiv:1409.3215},
    url       = {http://arxiv.org/abs/1409.3215},
}

@INPROCEEDINGS{Papineni02bleu:a,
    author = {Kishore Papineni and Salim Roukos and Todd Ward and Wei-jing Zhu},
    title = {BLEU: a Method for Automatic Evaluation of Machine Translation},
    booktitle = {},
    year = {2002},
    pages = {311--318}
}

@misc{bahdanau2014neural,
    title={Neural Machine Translation by Jointly Learning to Align and Translate},
    author={Dzmitry Bahdanau and Kyunghyun Cho and Yoshua Bengio},
    year={2016},
    eprint={1409.0473},
    archivePrefix={arXiv},
    primaryClass={cs.CL}
}

@misc{facebook2016,
    title={Facebook launches Messenger platform with chatbots},
    publisher={techcruch.com},
    author={Josh Constine},
    year={2016},
    url={https://techcrunch.com/2016/04/12/agents-on-messenger/?guccounter=1&guce_referrer=aHR0cHM6Ly9lbi53aWtpcGVkaWEub3JnLw&guce_referrer_sig=AQAAAKGfnvGQkg_IbxWWNQTxB-WWGCPqY6AkEieL6mAvuRUyv52_qzZgTh2wjzOGbrwfRUfYYhCLxFj2vPoRMohWR83DZS6HbRgBQ4PtO54tpBVSZjJk-OLwMM3fQ9NToNgVyRygIIEGVNkN2moE9Nm2AEWVtVp7jknUeNSzkcj48_Yj}
}

@misc{customerservice2019,
    title={How Chatbots are transforming Wall Street and Main Street banks? - marutitech.com},
    publisher = {marutitech.com},
    year={2019},
    url={https://marutitech.com/chatbots-transforming-wall-street-main-street-banks/}
    }
